Как написать сценарий bash для создания пользователей [дубликат]

Можно ли импортировать пользователей с помощью CSV-файла? или что-то вроде подключения LDAP для импорта всех пользователей?

-121--898243- проблема apt-update для https://ocean.surfshark.com/debian stretch InRelease Я сталкиваюсь с проблемой обновления с 18,04 на 20,04 - при запуске обновления apt-get я получаю Err:2 https://ocean.surfshark.com/debian stretch InRelease Следующие подписи были...

Я сталкиваюсь с проблемой обновления с 18,04 до 20,04 - при запуске apt-get update Я получаю

Err:2 https://ocean.surfshark.com/debian stretch InRelease            
 The following signatures were invalid: EXPKEYSIG 1DB7590E83C8F643
 Surfshark package maintainer <admin@surfshark.com>
W: GPG error: https://ocean.surfshark.com/debian stretch InRelease:
  The following signatures were invalid: EXPKEYSIG 1DB7590E83C8F643
  Surfshark package maintainer <admin@surfshark.com>
E: The repository 'https://ocean.surfshark.com/debian stretch InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is
  therefore disabled by default. 
N: See apt-secure(8) manpage for repository creation and user configuration details.

Хотя серфакул даже не был установлен должным образом и сломан. После некоторых поисков я попробовал различные способы исправить его, но они не работали на меня, так как я не мог получить никаких обновленных PPA или ключей для серфакулы.

0
задан 15 April 2021 в 17:51

1 ответ

Это решило бы проблему, если бы проблемный PPA сейчас не имел для вас большого значения. Проблема в основном в том, что Surfshark не предоставляет обновленный PPA / ключ, а срок действия предыдущего истек или алгоритм дайджеста sha-1, используемый для этого репозитория, больше не считается безопасным.

Сначала запустите ls /etc/apt/sources.list.d и найдите Surfshark PPA.Поскольку сейчас Surfshark для меня не представляет большого труда, я просто запустил dpkg --list (чтобы найти имя пакета для Surfshark) и просто запустил sudo apt-get purge {package-name}

Это решило проблему для меня, и теперь я могу выполнить apt-get update и apt-get upgrade . И если вы сейчас столкнетесь с проблемами "" Следующие пакеты были сохранено ... "затем следуйте за " Следующие пакеты были сохранены: "Почему и как я могу это решить? , который решил проблему для моей

0
ответ дан 23 April 2021 в 23:22

Другие вопросы по тегам:

Похожие вопросы: